/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2019-05-07 14:50:36Z
 *****************************************************************************/

#include "rscmw.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsCoreRepCap rscmw_RsCoreRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "instance",
        "i1,i2,i3,i4",
        "1,2,3,4"
       },
       {
        "source",
        "s1,s2",
        "1,2"
       },
       {
        "register",
        "reg_oper,reg_quest",
        "OPER,QUES"
       },
       {
        "regpart",
        "part_enable,part_ntr,part_ptr,part_event,part_condition",
        "ENAB,NTR,PTR,EVEN,COND"
       },
       {
        "instrpart",
        "part_a,part_b",
        "A,B"
       },
       {
        "netw_std",
        "netwGPRF,netwGSM,netwWCDMA,netwEVDO,netwCDMA,netwTDSCDMA",
        "GPRF,GSM,WCDM,EVDO,CDMA,TDSC"
       },
       {
        "func_grp",
        "func_meas,func_gen",
        "MEAS,GEN"
       },
       {
        "appl",
        "appl_uni,appl_mev,appl_eps,appl_pow,appl_iqv,appl_iqr",
        "UNIV,MEV,EPS,POW,IQVS,IQR"
       },
       {
        "bits",
        "bits8,bits9,bits10,bits11,bits12",
        "8,9,10,11,12"
       },
       {
        "interface",
        "intrfc_gpib,intrfc_vxi,intrfc_usb,intrfc_hislip,intrfc_socket",
        "GPIB,VXI,USB,HISL,SOCK"
       },
       {
        "rstpart",
        "rst_cmw,rst_base,rst_all",
        ",:BASE,:ALL"
       },
       {
        "connector",
        "con_a,con_b",
        "A,B"
       },
       {
        "OptionType",
        "SWOP,HWOP,SWP,FWA,ALL",
        "SWOP,HWOP,SWP,FWA,ALL"
       },
       {
        "Validity",
        "FUNC,VAL,ALL",
        "FUNC,VAL,ALL"
       },
       {
        "UserTrigger",
        "UserTrig1,UserTrig2,UserTrig3,UserTrig4",
        "1,2,3,4"
       },
       {
        "NetworkAdapterIndex",
        "NWAdapter1,NWAdapter2,NWAdapter3,NWAdapter4,NWAdapter5",
        "1,2,3,4,5"
       },
       {
        "RXTX",
        "RX,TX",
        "RX,TX"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableEntry rscmw_rngIntExtEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngIntExt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngIntExtEntries
};

static RsCoreRangeTableEntry rscmw_rngExtRefFreqEntries[] =
{
  {
      /* discreteOrMinValue = */1000000,
      /* maxValue           = */800000000.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngExtRefFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rscmw_rngExtRefFreqEntries
};

static RsCoreRangeTableEntry rscmw_rngRclSaveEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */99,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngRclSave =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngRclSaveEntries
};

static RsCoreRangeTableEntry rscmw_rngInstrPartEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngInstrPart =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngInstrPartEntries
};

static RsCoreRangeTableEntry rscmw_rngRegValEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngRegVal =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngRegValEntries
};

static RsCoreRangeTableEntry rscmw_rngSystGPIBEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */30,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngSystGPIB =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngSystGPIBEntries
};

static RsCoreRangeTableEntry rscmw_rngDirectionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OUT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngDirection =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngDirectionEntries
};

static RsCoreRangeTableEntry rscmw_rngFontSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LRG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngFontSize =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngFontSizeEntries
};

static RsCoreRangeTableEntry rscmw_rngDeactivateConnectorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF1O",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF1C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF2C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF3O",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF3C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF4C",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFAO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFAC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RFBC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngDeactivateConnector =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngDeactivateConnectorEntries
};

static RsCoreRangeTableEntry rscmw_rngBitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngBit =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngBitEntries
};

static RsCoreRangeTableEntry rscmw_rngSyncModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LIST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GEN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STAN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngSyncMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngSyncModeEntries
};

static RsCoreRangeTableEntry rscmw_rngReportDisplayEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANAL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LIVE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngReportDisplay =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngReportDisplayEntries
};

static RsCoreRangeTableEntry rscmw_rngFanControlEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HIGH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngFanControl =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngFanControlEntries
};

static RsCoreRangeTableEntry rscmw_rngSetBaseTriggerSlopeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REDG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FEDG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngSetBaseTriggerSlope =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngSetBaseTriggerSlopeEntries
};

static RsCoreRangeTableEntry rscmw_rngDeactivateCorrectionTableForConnectorCMWSEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R17",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R21",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R22",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R23",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R24",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R26",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R27",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R28",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R31",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R33",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R34",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R35",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R36",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R37",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R38",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */31,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RB1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */33,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RB2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */34,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RB3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */35,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RB4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */36,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R118",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */37,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R214",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */38,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R318",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */39,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R258",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */40,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */41,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RB14",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngDeactivateCorrectionTableForConnectorCMWS =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngDeactivateCorrectionTableForConnectorCMWSEntries
};

static RsCoreRangeTableEntry rscmw_rngTreeNavigationModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZIGZ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CURS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VERT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngTreeNavigationMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngTreeNavigationModeEntries
};

static RsCoreRangeTableEntry rscmw_rngHcopyFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BMP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"JPG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PNG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngHcopyFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngHcopyFormatEntries
};

static RsCoreRangeTableEntry rscmw_rngTraceFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"XML",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngTraceFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngTraceFormatEntries
};

static RsCoreRangeTableEntry rscmw_rngRemoteTraceStopModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXPL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ERR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BUFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngRemoteTraceStopMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngRemoteTraceStopModeEntries
};

static RsCoreRangeTableEntry rscmw_rngRemoteTraceStartModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXPL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngRemoteTraceStartMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngRemoteTraceStartModeEntries
};

static RsCoreRangeTableEntry rscmw_rngHardcopyAreaEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AWIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MWIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FSCR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmw_rngHardcopyArea =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmw_rngHardcopyAreaEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RSCMW_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_NEVER_CACHE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_REFERENCE_FREQUENCY_SOURCE =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_REFERENCE_FREQUENCY_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"System Reference Frequency Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngIntExt,
  /* command            = */"SYST:BASE:REF:FREQ:SOUR",
  /* integerDefault     = */RSCMW_VAL_INT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_REFERENCE_EXTERNAL_FREQUENCY =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_REFERENCE_EXTERNAL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"System Reference External Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmw_rngExtRefFreq,
  /* command            = */"SYST:BASE:REF:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0E+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_REFERENCE_FREQUENCY_STATE =
{
  /* constant           = */RSCMW_ATTR_REFERENCE_FREQUENCY_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Reference Frequency State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:REF:FREQ:LOCK?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_INTERNAL_TEMPERATURE =
{
  /* constant           = */RSCMW_ATTR_INTERNAL_TEMPERATURE,
#if defined (_DEBUG)
  /* debug name         = */"Internal Temperature",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:TEMP:OPER:INT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYNCHRONIZATION_MODE =
{
  /* constant           = */RSCMW_ATTR_SYNCHRONIZATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Synchronization Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngSyncMode,
  /* command            = */"SYST:BASE:SSYN:MODE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_NETWORK_HOSTNAME =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_NETWORK_HOSTNAME,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Hostname",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:NET:HOST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"hostname",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_NETWORK_DHCP =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_NETWORK_DHCP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network DHCP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:NET:DHCP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_NETWORK_ADAPTER =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_NETWORK_ADAPTER,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Adapter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:NET:ADAP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"adapter",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_ENABLE_DNS_ADDRESS_CONFIGURATION =
{
  /* constant           = */RSCMW_ATTR_ENABLE_DNS_ADDRESS_CONFIGURATION,
#if defined (_DEBUG)
  /* debug name         = */"Enable DNS Address Configuration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:NET:DNS:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_NETWORK_IP_ADDRESS =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_NETWORK_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:NET:IPAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"address",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_NETWORK_SUBNET_MASK =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_NETWORK_SUBNET_MASK,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Subnet Mask",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:NET:SUBN:MASK",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"mask",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_NETWORK_GATEWAY =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_NETWORK_GATEWAY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Gateway",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:NET:GAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"gateway",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_GPIB_ADDRESS =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_GPIB_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"GPIB Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngSystGPIB,
  /* command            = */"SYST:COMM:GPIB:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_ENABLE_GPIB_INTERFACE =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_ENABLE_GPIB_INTERFACE,
#if defined (_DEBUG)
  /* debug name         = */"Enable GPIB Interface",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:GPIB:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_ENABLE_VXI_INTERFACE =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_ENABLE_VXI_INTERFACE,
#if defined (_DEBUG)
  /* debug name         = */"Enable VXI Interface",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:VXI:GTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_SUBINSTRUMENTS =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_SUBINSTRUMENTS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Subinstruments",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngInstrPart,
  /* command            = */"SYST:BASE:DEV:COUN",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_MAX_NUMBER_OF_SUBINSTRUMENTS =
{
  /* constant           = */RSCMW_ATTR_MAX_NUMBER_OF_SUBINSTRUMENTS,
#if defined (_DEBUG)
  /* debug name         = */"Max Number Of Subinstruments",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BASE:DEV:MSC?",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_ASSIGN_RESOURCES_TO_SUBINSTRUMENTS =
{
  /* constant           = */RSCMW_ATTR_ASSIGN_RESOURCES_TO_SUBINSTRUMENTS,
#if defined (_DEBUG)
  /* debug name         = */"Assign Resources To Subinstruments",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BASE:DEV:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DEVICE_ID =
{
  /* constant           = */RSCMW_ATTR_DEVICE_ID,
#if defined (_DEBUG)
  /* debug name         = */"Device ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:DEV:ID?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CMWS_DEVICE_ID =
{
  /* constant           = */RSCMW_ATTR_CMWS_DEVICE_ID,
#if defined (_DEBUG)
  /* debug name         = */"CMWS Device ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:CMWS:DEV:ID?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"'id'",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DEVICE_GROUP =
{
  /* constant           = */RSCMW_ATTR_DEVICE_GROUP,
#if defined (_DEBUG)
  /* debug name         = */"Device Group",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:UPD:DGR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"DEFAULT",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_STARTUP_BEHAVIOR =
{
  /* constant           = */RSCMW_ATTR_STARTUP_BEHAVIOR,
#if defined (_DEBUG)
  /* debug name         = */"Startup Behavior",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:STAR:PREP:FDEF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_FONT_SIZE =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_FONT_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Font",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngFontSize,
  /* command            = */"SYST:BASE:DISP:FONT",
  /* integerDefault     = */RSCMW_VAL_FONT_SMALL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_UPDATE_ON_REMOTE =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_UPDATE_ON_REMOTE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Update On Remote",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:DISP:UPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_MONITOR_DISPLAY_STATE =
{
  /* constant           = */RSCMW_ATTR_MONITOR_DISPLAY_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Monitor Display State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:DISP:MON",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_TREE_NAVIGATION_MODE =
{
  /* constant           = */RSCMW_ATTR_TREE_NAVIGATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Tree Navigation Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngTreeNavigationMode,
  /* command            = */"SYST:DISP:ROLL",
  /* integerDefault     = */RSCMW_VAL_TRAVERSE_TREES_ZIGZAG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CLEAR_ALL_EVENT_STATUS_REGISTER =
{
  /* constant           = */RSCMW_ATTR_CLEAR_ALL_EVENT_STATUS_REGISTER,
#if defined (_DEBUG)
  /* debug name         = */"Clear All Event Status Register",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:EVEN:BITS:CLE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_READABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CLEAR_EVENT_STATUS_REGISTER =
{
  /* constant           = */RSCMW_ATTR_CLEAR_EVENT_STATUS_REGISTER,
#if defined (_DEBUG)
  /* debug name         = */"Clear Event Status Register",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:EVEN:BITS:CLE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"reg",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_READABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_PRESET_STATUS_REGISTERS =
{
  /* constant           = */RSCMW_ATTR_PRESET_STATUS_REGISTERS,
#if defined (_DEBUG)
  /* debug name         = */"Preset status registers",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_READABLE,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_OQ_CONFIGURATION =
{
  /* constant           = */RSCMW_ATTR_STATUS_OQ_CONFIGURATION,
#if defined (_DEBUG)
  /* debug name         = */"Status OQ Configuration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRegVal,
  /* command            = */"STAT:{register}:{regpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_OQ_TASK_CONFIGURATION =
{
  /* constant           = */RSCMW_ATTR_STATUS_OQ_TASK_CONFIGURATION,
#if defined (_DEBUG)
  /* debug name         = */"Status OQ Task Configuration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRegVal,
  /* command            = */"STAT:{register}:TASK:{regpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_OQ_TASK_INSTRUMENT_PART_CONFIGURE =
{
  /* constant           = */RSCMW_ATTR_STATUS_OQ_TASK_INSTRUMENT_PART_CONFIGURE,
#if defined (_DEBUG)
  /* debug name         = */"Status OQ Task Instrument Part Configure",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRegVal,
  /* command            = */"STAT:{register}:TASK:{instrpart}:{regpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_OQ_TASK_NETSTD_PART_CONFIGURE =
{
  /* constant           = */RSCMW_ATTR_STATUS_OQ_TASK_NETSTD_PART_CONFIGURE,
#if defined (_DEBUG)
  /* debug name         = */"Status OQ Task NetStd Part Configure",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRegVal,
  /* command            = */"STAT:{register}:TASK:{instrpart}:{netw_std}:{regpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_OQ_TASK_FUNCTION_GROUP_PART_CONFIGURE =
{
  /* constant           = */RSCMW_ATTR_STATUS_OQ_TASK_FUNCTION_GROUP_PART_CONFIGURE,
#if defined (_DEBUG)
  /* debug name         = */"Status OQ Task Function Group Part Configure",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRegVal,
  /* command            = */"STAT:{register}:TASK:{instrpart}:{netw_std}:{func_grp}{instance}:{regpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_OQ_TASK_PART_CONFIGURE =
{
  /* constant           = */RSCMW_ATTR_STATUS_OQ_TASK_PART_CONFIGURE,
#if defined (_DEBUG)
  /* debug name         = */"Status OQ Task Part Configure",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRegVal,
  /* command            = */"STAT:{register}:TASK:{instrpart}:{netw_std}:{func_grp}{instance}:{appl}:{regpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_OQ_REGISTER_BIT_CONFIGURATION =
{
  /* constant           = */RSCMW_ATTR_STATUS_OQ_REGISTER_BIT_CONFIGURATION,
#if defined (_DEBUG)
  /* debug name         = */"Status OQ Register Bit Configuration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngBit,
  /* command            = */"STAT:{register}:BIT{bits}:{regpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_STATUS_ERROR =
{
  /* constant           = */RSCMW_ATTR_STATUS_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Status Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"STAT:QUE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_MACRO_ENABLED =
{
  /* constant           = */RSCMW_ATTR_MACRO_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Macro Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"*EMC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DELETE_ALL_MACROS =
{
  /* constant           = */RSCMW_ATTR_DELETE_ALL_MACROS,
#if defined (_DEBUG)
  /* debug name         = */"Delete All Macros",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"*PMC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CALIBRATION_ALL =
{
  /* constant           = */RSCMW_ATTR_CALIBRATION_ALL,
#if defined (_DEBUG)
  /* debug name         = */"Calibration All",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CAL:BASE:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_RF_CORRECTION_FILE =
{
  /* constant           = */RSCMW_ATTR_RF_CORRECTION_FILE,
#if defined (_DEBUG)
  /* debug name         = */"RF Correction File",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CAL:BASE:ACF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CLEAR_BUFFER =
{
  /* constant           = */RSCMW_ATTR_CLEAR_BUFFER,
#if defined (_DEBUG)
  /* debug name         = */"Clear Buffer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CLE:BASE:BUFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CONTINUE_BUFFER =
{
  /* constant           = */RSCMW_ATTR_CONTINUE_BUFFER,
#if defined (_DEBUG)
  /* debug name         = */"Continue Buffer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONT:BASE:BUFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DELETE_BUFFER =
{
  /* constant           = */RSCMW_ATTR_DELETE_BUFFER,
#if defined (_DEBUG)
  /* debug name         = */"Delete Buffer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"DEL:BASE:BUFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_START_BUFFER =
{
  /* constant           = */RSCMW_ATTR_START_BUFFER,
#if defined (_DEBUG)
  /* debug name         = */"Start Buffer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"STAR:BASE:BUFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_STOP_BUFFER =
{
  /* constant           = */RSCMW_ATTR_STOP_BUFFER,
#if defined (_DEBUG)
  /* debug name         = */"Stop Buffer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:BASE:BUFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SET_SYSTEM_TIMESTAMP =
{
  /* constant           = */RSCMW_ATTR_SET_SYSTEM_TIMESTAMP,
#if defined (_DEBUG)
  /* debug name         = */"Set System Timestamp",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:TIME:HRT:ABS:SET",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_GET_SYSTEM_TIMESTAMP =
{
  /* constant           = */RSCMW_ATTR_GET_SYSTEM_TIMESTAMP,
#if defined (_DEBUG)
  /* debug name         = */"Get System Timestamp",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:TIME:HRT:ABS:SET?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SET_ABSOLUTE_TIMER =
{
  /* constant           = */RSCMW_ATTR_SET_ABSOLUTE_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"Set Absolute Timer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:TIME:HRT:ABS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SET_RELATIVE_TIMER =
{
  /* constant           = */RSCMW_ATTR_SET_RELATIVE_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"Set Relative Timer",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:TIME:HRT:REL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SUBNET_NODE_NAME =
{
  /* constant           = */RSCMW_ATTR_SUBNET_NODE_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Subnet Node Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:IPS:SNOD:NNAM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SUBNET_NODE_TYPE =
{
  /* constant           = */RSCMW_ATTR_SUBNET_NODE_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Subnet Node Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:IPS:SNOD:NTYP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_NETWORK_ADAPTER =
{
  /* constant           = */RSCMW_ATTR_NETWORK_ADAPTER,
#if defined (_DEBUG)
  /* debug name         = */"Network Adapter",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:BASE:IPS:NWAD{NetworkAdapterIndex}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_SUBNET_MONITOR_NAME =
{
  /* constant           = */RSCMW_ATTR_SUBNET_MONITOR_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Subnet Monitor Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:IPS:SMON:NAME?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SUBNET_MONITOR_TYPE =
{
  /* constant           = */RSCMW_ATTR_SUBNET_MONITOR_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Subnet Monitor Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:IPS:SMON:TYPE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SUBNET_MONITOR_ID =
{
  /* constant           = */RSCMW_ATTR_SUBNET_MONITOR_ID,
#if defined (_DEBUG)
  /* debug name         = */"Subnet Monitor ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:IPS:SMON:ID?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SUBNET_MONITOR_DESCRIPTION =
{
  /* constant           = */RSCMW_ATTR_SUBNET_MONITOR_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Subnet Monitor Description",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BASE:IPS:SMON:DESC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SUBNET_MONITOR_REFRESH =
{
  /* constant           = */RSCMW_ATTR_SUBNET_MONITOR_REFRESH,
#if defined (_DEBUG)
  /* debug name         = */"Subnet Monitor Refresh",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BASE:IPS:SMON:REFR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_REMOTE_TRACE_ENABLED =
{
  /* constant           = */RSCMW_ATTR_REMOTE_TRACE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Remote Trace Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"TRAC:REM:MODE:FILE{instance}:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_REMOTE_TRACE_FORMAT =
{
  /* constant           = */RSCMW_ATTR_REMOTE_TRACE_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"Remote Trace Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngTraceFormat,
  /* command            = */"TRAC:REM:MODE:FILE{instance}:FORM",
  /* integerDefault     = */RSCMW_VAL_TRACE_FORMAT_XML,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_REMOTE_TRACE_START_MODE =
{
  /* constant           = */RSCMW_ATTR_REMOTE_TRACE_START_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Remote Trace Start Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRemoteTraceStartMode,
  /* command            = */"TRAC:REM:MODE:FILE{instance}:STAR",
  /* integerDefault     = */RSCMW_VAL_REMOTE_TRACE_EXPLICIT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_REMOTE_TRACE_STOP_MODE =
{
  /* constant           = */RSCMW_ATTR_REMOTE_TRACE_STOP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Remote Trace Stop Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRemoteTraceStopMode,
  /* command            = */"TRAC:REM:MODE:FILE{instance}:STOP",
  /* integerDefault     = */RSCMW_VAL_REMOTE_TRACE_EXPLICIT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_REMOTE_TRACE_FILE_PATH =
{
  /* constant           = */RSCMW_ATTR_REMOTE_TRACE_FILE_PATH,
#if defined (_DEBUG)
  /* debug name         = */"Remote Trace File Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"TRAC:REM:MODE:FILE{instance}:NAME",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"@LOG\\RemoteTrace-Inst0.xml",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_REMOTE_TRACE_FILE_SIZE =
{
  /* constant           = */RSCMW_ATTR_REMOTE_TRACE_FILE_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"Remote Trace File Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"TRAC:REM:MODE:FILE{instance}:SIZE",
  /* integerDefault     = */40000,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_REPORT_DISPLAY =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_REPORT_DISPLAY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Report Display",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngReportDisplay,
  /* command            = */"TRAC:REM:MODE:DISP:ENAB",
  /* integerDefault     = */RSCMW_VAL_REPORT_DISPLAY_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_CLEAR_REMOTE_TRACE_DISPLAY =
{
  /* constant           = */RSCMW_ATTR_CLEAR_REMOTE_TRACE_DISPLAY,
#if defined (_DEBUG)
  /* debug name         = */"Clear Remote Trace Display",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"TRAC:REM:MODE:DISP:CLE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_GET_RESOURCE_STRING =
{
  /* constant           = */RSCMW_ATTR_GET_RESOURCE_STRING,
#if defined (_DEBUG)
  /* debug name         = */"Get Resource String",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:COMM:{interface}:VRES?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"resource_string",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_CONFIGURE_LOCK_CTRLS =
{
  /* constant           = */RSCMW_ATTR_CONFIGURE_LOCK_CTRLS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Lock Controls",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:KLOC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE =
{
  /* constant           = */RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Set Base Trigger Source",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"TRIG:BASE:EXT{connector}:SOUR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"IMM",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE_DIRECTION =
{
  /* constant           = */RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE_DIRECTION,
#if defined (_DEBUG)
  /* debug name         = */"Set Base Trigger Source Direction",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngDirection,
  /* command            = */"TRIG:BASE:EXT{connector}:DIR",
  /* integerDefault     = */RSCMW_VAL_DIRECTION_IN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_SET_BASE_TRIGGER_SLOPE =
{
  /* constant           = */RSCMW_ATTR_SET_BASE_TRIGGER_SLOPE,
#if defined (_DEBUG)
  /* debug name         = */"Set Base Trigger Slope",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngSetBaseTriggerSlope,
  /* command            = */"TRIG:BASE:EXT{connector}:SLOP",
  /* integerDefault     = */RSCMW_VAL_SLOPE_RISING,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_BASE_TRIGGER_SOURCE_CATALOG =
{
  /* constant           = */RSCMW_ATTR_BASE_TRIGGER_SOURCE_CATALOG,
#if defined (_DEBUG)
  /* debug name         = */"Base Trigger Source Catalog",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"TRIG:BASE:EXT{connector}:CAT:SOUR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_INITIATE_USER_TRIGGER =
{
  /* constant           = */RSCMW_ATTR_INITIATE_USER_TRIGGER,
#if defined (_DEBUG)
  /* debug name         = */"Initiate User Trigger",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"TRIG:BASE:UIN{UserTrigger}:EXEC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_OPTION_LIST =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_OPTION_LIST,
#if defined (_DEBUG)
  /* debug name         = */"System Option List",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BASE:OPT:LIST? {OptionType},{Validity}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_COMMON_RELIABILITY =
{
  /* constant           = */RSCMW_ATTR_COMMON_RELIABILITY,
#if defined (_DEBUG)
  /* debug name         = */"Common Reliability",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BASE:REL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_ALL_GENERATORS_OFF =
{
  /* constant           = */RSCMW_ATTR_ALL_GENERATORS_OFF,
#if defined (_DEBUG)
  /* debug name         = */"All Generators Off",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:GEN:ALL:OFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_ALL_MEASUREMENTS_OFF =
{
  /* constant           = */RSCMW_ATTR_ALL_MEASUREMENTS_OFF,
#if defined (_DEBUG)
  /* debug name         = */"All Measurements Off",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:MEAS:ALL:OFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_ALL_SIGNALING_APPLICATIONS_OFF =
{
  /* constant           = */RSCMW_ATTR_ALL_SIGNALING_APPLICATIONS_OFF,
#if defined (_DEBUG)
  /* debug name         = */"All Signaling Applications Off",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:SIGN:ALL:OFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FAN_CONTROL =
{
  /* constant           = */RSCMW_ATTR_FAN_CONTROL,
#if defined (_DEBUG)
  /* debug name         = */"Fan Control",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngFanControl,
  /* command            = */"CONF:BASE:FCON",
  /* integerDefault     = */RSCMW_VAL_FAN_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_MULTIPLE_WINDOW_MODE_ENABLED =
{
  /* constant           = */RSCMW_ATTR_MULTIPLE_WINDOW_MODE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Multiple Window Mode Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:BASE:DISP:MWIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FD_LIST_OF_TABLE_NAMES =
{
  /* constant           = */RSCMW_ATTR_FD_LIST_OF_TABLE_NAMES,
#if defined (_DEBUG)
  /* debug name         = */"FD List Of Table Names",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:BASE:FDC:CTAB:CAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */" ",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DELETE_ATTENUATION_CORRECTION_TABLE =
{
  /* constant           = */RSCMW_ATTR_DELETE_ATTENUATION_CORRECTION_TABLE,
#if defined (_DEBUG)
  /* debug name         = */"Delete Attenuation Correction Table",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:BASE:FDC:CTAB:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"table",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DELETE_ALL_ATTENUATION_CORRECTION_TABLE =
{
  /* constant           = */RSCMW_ATTR_DELETE_ALL_ATTENUATION_CORRECTION_TABLE,
#if defined (_DEBUG)
  /* debug name         = */"Delete All Attenuation Correction Table",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:BASE:FDC:CTAB:DEL:ALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SAVE_ATTENUATION_CORRECTION_TABLE =
{
  /* constant           = */RSCMW_ATTR_SAVE_ATTENUATION_CORRECTION_TABLE,
#if defined (_DEBUG)
  /* debug name         = */"Save Attenuation Correction Table",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:BASE:FDC:SAV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_LOAD_ATTENUATION_CORRECTION_TABLE =
{
  /* constant           = */RSCMW_ATTR_LOAD_ATTENUATION_CORRECTION_TABLE,
#if defined (_DEBUG)
  /* debug name         = */"Load Attenuation Correction Table",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:BASE:FDC:RCL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR =
{
  /* constant           = */RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR,
#if defined (_DEBUG)
  /* debug name         = */"Deactivate Correction Table For Connector",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngDeactivateConnector,
  /* command            = */"CONF:FDC:DEAC",
  /* integerDefault     = */RSCMW_VAL_CON_RF1OUT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR_CMWS =
{
  /* constant           = */RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR_CMWS,
#if defined (_DEBUG)
  /* debug name         = */"Deactivate Correction Table For Connector CMWS",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngDeactivateCorrectionTableForConnectorCMWS,
  /* command            = */"CONF:CMWS:FDC:DEAC:{RXTX}",
  /* integerDefault     = */RSCMW_VAL_CON_R11,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_ATTENUATION_CORRECTION_TABLE_COUNT =
{
  /* constant           = */RSCMW_ATTR_ATTENUATION_CORRECTION_TABLE_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Attenuation Correction Table Count",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:BASE:FDC:CTAB:COUN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_VERSION =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERSion?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERRor?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_ALL_ERRORS =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_ALL_ERRORS,
#if defined (_DEBUG)
  /* debug name         = */"System All Errors",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYST_ERR_CODE =
{
  /* constant           = */RSCMW_ATTR_SYST_ERR_CODE,
#if defined (_DEBUG)
  /* debug name         = */"System Error Code",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:CODE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_ALL_ERRORS_CODE =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_ALL_ERRORS_CODE,
#if defined (_DEBUG)
  /* debug name         = */"System All Errors Code",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:CODE:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_PRESET =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_PRESET,
#if defined (_DEBUG)
  /* debug name         = */"System Preset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES{rstpart}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_PRESET_APPLICATION =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_PRESET_APPLICATION,
#if defined (_DEBUG)
  /* debug name         = */"System Preset Application",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_RESET_APPLICATION =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_RESET_APPLICATION,
#if defined (_DEBUG)
  /* debug name         = */"System Reset Application",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_RESET_ALL =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_RESET_ALL,
#if defined (_DEBUG)
  /* debug name         = */"System Reset All",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:RES:ALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SYSTEM_RESET_BASE =
{
  /* constant           = */RSCMW_ATTR_SYSTEM_RESET_BASE,
#if defined (_DEBUG)
  /* debug name         = */"System Reset Base",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:RES:BASE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_RCL =
{
  /* constant           = */RSCMW_ATTR_RCL,
#if defined (_DEBUG)
  /* debug name         = */"RCL",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRclSave,
  /* command            = */"*RCL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_SAV =
{
  /* constant           = */RSCMW_ATTR_SAV,
#if defined (_DEBUG)
  /* debug name         = */"SAV",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngRclSave,
  /* command            = */"*SAV",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_MANAGER_EDIT_PATH =
{
  /* constant           = */RSCMW_ATTR_FILE_MANAGER_EDIT_PATH,
#if defined (_DEBUG)
  /* debug name         = */"File Manager Edit Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:CDIR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"dir",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_MANAGER_DELETE =
{
  /* constant           = */RSCMW_ATTR_FILE_MANAGER_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"File Manager Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"dir",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_MANAGER_MAKE_DIRECTORY =
{
  /* constant           = */RSCMW_ATTR_FILE_MANAGER_MAKE_DIRECTORY,
#if defined (_DEBUG)
  /* debug name         = */"File Manager Make Directory",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:MDIR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"dir",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_MANAGER_DELETE_DIRECTORY =
{
  /* constant           = */RSCMW_ATTR_FILE_MANAGER_DELETE_DIRECTORY,
#if defined (_DEBUG)
  /* debug name         = */"File Manager Delete Directory",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:RDIR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"dir",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_MANAGER_GET_INSTRUMENT_DRIVES =
{
  /* constant           = */RSCMW_ATTR_FILE_MANAGER_GET_INSTRUMENT_DRIVES,
#if defined (_DEBUG)
  /* debug name         = */"File Manager Get Instrument Drives",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:DRIV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_MANAGER_CHANGE_DRIVE =
{
  /* constant           = */RSCMW_ATTR_FILE_MANAGER_CHANGE_DRIVE,
#if defined (_DEBUG)
  /* debug name         = */"File Manager Change Drive",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:MSIS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_MANAGER_ALIASES =
{
  /* constant           = */RSCMW_ATTR_FILE_MANAGER_ALIASES,
#if defined (_DEBUG)
  /* debug name         = */"File Manager Aliases",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"MMEM:ALI?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_CAPTURE_INTERIOR_WINDOW =
{
  /* constant           = */RSCMW_ATTR_FILE_CAPTURE_INTERIOR_WINDOW,
#if defined (_DEBUG)
  /* debug name         = */"File Capture Interior Window",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"HCOP:INT:FILE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"D:\\user\\data",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_FILE_CAPTURE_ENTIRE_WINDOW =
{
  /* constant           = */RSCMW_ATTR_FILE_CAPTURE_ENTIRE_WINDOW,
#if defined (_DEBUG)
  /* debug name         = */"File Capture Entire Window",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"HCOP:FILE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"D:\\user\\data",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_HARDCOPY_FILE_FORMAT =
{
  /* constant           = */RSCMW_ATTR_HARDCOPY_FILE_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"Hardcopy File Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngHcopyFormat,
  /* command            = */"HCOP:DEV:FORM",
  /* integerDefault     = */RSCMW_VAL_HCOPY_PNG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_HARDCOPY_FILE_AREA =
{
  /* constant           = */RSCMW_ATTR_HARDCOPY_FILE_AREA,
#if defined (_DEBUG)
  /* debug name         = */"Hardcopy File Area",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmw_rngHardcopyArea,
  /* command            = */"HCOP:AREA",
  /* integerDefault     = */RSCMW_VAL_HCOPY_ACTIVE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMW_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSCMW_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"*IDN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz,CMW,1201.0002k50/110552,3.7.120",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsCoreAttributePtr rscmw_RsCoreAttributeList[] =
{
&g_RSCMW_RS_ATTR_RANGE_CHECK,
&g_RSCMW_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSCMW_RS_ATTR_CACHE,
&g_RSCMW_RS_ATTR_SIMULATE,
&g_RSCMW_RS_ATTR_RECORD_COERCIONS,
&g_RSCMW_RS_ATTR_INTERCHANGE_CHECK,
&g_RSCMW_RS_ATTR_SPY,
&g_RSCMW_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMW_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSCMW_RS_ATTR_GROUP_CAPABILITIES,
&g_RSCMW_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSCMW_RS_ATTR_CHANNEL_COUNT,
&g_RSCMW_RS_ATTR_DRIVER_SETUP,
&g_RSCMW_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSCMW_RS_ATTR_INSTRUMENT_MODEL,
&g_RSCMW_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSCMW_RS_ATTR_OPTIONS_LIST,
&g_RSCMW_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSCMW_RS_ATTR_LOGICAL_NAME,
&g_RSCMW_RS_ATTR_PRIMARY_ERROR,
&g_RSCMW_RS_ATTR_SECONDARY_ERROR,
&g_RSCMW_RS_ATTR_ERROR_ELABORATION,
&g_RSCMW_RS_ATTR_VISA_RM_SESSION,
&g_RSCMW_RS_ATTR_IO_SESSION,
&g_RSCMW_RS_ATTR_IO_SESSION_TYPE,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSCMW_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSCMW_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSCMW_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSCMW_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSCMW_RS_ATTR_ENGINE_REVISION,
&g_RSCMW_RS_ATTR_OPC_CALLBACK,
&g_RSCMW_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSCMW_RS_ATTR_OPC_TIMEOUT,
&g_RSCMW_ATTR_SYSTEM_REFERENCE_FREQUENCY_SOURCE,
&g_RSCMW_ATTR_SYSTEM_REFERENCE_EXTERNAL_FREQUENCY,
&g_RSCMW_ATTR_REFERENCE_FREQUENCY_STATE,
&g_RSCMW_ATTR_INTERNAL_TEMPERATURE,
&g_RSCMW_ATTR_SYNCHRONIZATION_MODE,
&g_RSCMW_ATTR_CONFIGURE_NETWORK_HOSTNAME,
&g_RSCMW_ATTR_CONFIGURE_NETWORK_DHCP,
&g_RSCMW_ATTR_CONFIGURE_NETWORK_ADAPTER,
&g_RSCMW_ATTR_ENABLE_DNS_ADDRESS_CONFIGURATION,
&g_RSCMW_ATTR_CONFIGURE_NETWORK_IP_ADDRESS,
&g_RSCMW_ATTR_CONFIGURE_NETWORK_SUBNET_MASK,
&g_RSCMW_ATTR_CONFIGURE_NETWORK_GATEWAY,
&g_RSCMW_ATTR_SYSTEM_GPIB_ADDRESS,
&g_RSCMW_ATTR_SYSTEM_ENABLE_GPIB_INTERFACE,
&g_RSCMW_ATTR_SYSTEM_ENABLE_VXI_INTERFACE,
&g_RSCMW_ATTR_CONFIGURE_SUBINSTRUMENTS,
&g_RSCMW_ATTR_MAX_NUMBER_OF_SUBINSTRUMENTS,
&g_RSCMW_ATTR_ASSIGN_RESOURCES_TO_SUBINSTRUMENTS,
&g_RSCMW_ATTR_DEVICE_ID,
&g_RSCMW_ATTR_CMWS_DEVICE_ID,
&g_RSCMW_ATTR_DEVICE_GROUP,
&g_RSCMW_ATTR_STARTUP_BEHAVIOR,
&g_RSCMW_ATTR_CONFIGURE_FONT_SIZE,
&g_RSCMW_ATTR_CONFIGURE_UPDATE_ON_REMOTE,
&g_RSCMW_ATTR_MONITOR_DISPLAY_STATE,
&g_RSCMW_ATTR_TREE_NAVIGATION_MODE,
&g_RSCMW_ATTR_CLEAR_ALL_EVENT_STATUS_REGISTER,
&g_RSCMW_ATTR_CLEAR_EVENT_STATUS_REGISTER,
&g_RSCMW_ATTR_PRESET_STATUS_REGISTERS,
&g_RSCMW_ATTR_STATUS_OQ_CONFIGURATION,
&g_RSCMW_ATTR_STATUS_OQ_TASK_CONFIGURATION,
&g_RSCMW_ATTR_STATUS_OQ_TASK_INSTRUMENT_PART_CONFIGURE,
&g_RSCMW_ATTR_STATUS_OQ_TASK_NETSTD_PART_CONFIGURE,
&g_RSCMW_ATTR_STATUS_OQ_TASK_FUNCTION_GROUP_PART_CONFIGURE,
&g_RSCMW_ATTR_STATUS_OQ_TASK_PART_CONFIGURE,
&g_RSCMW_ATTR_STATUS_OQ_REGISTER_BIT_CONFIGURATION,
&g_RSCMW_ATTR_STATUS_ERROR,
&g_RSCMW_ATTR_MACRO_ENABLED,
&g_RSCMW_ATTR_DELETE_ALL_MACROS,
&g_RSCMW_ATTR_CALIBRATION_ALL,
&g_RSCMW_ATTR_RF_CORRECTION_FILE,
&g_RSCMW_ATTR_CLEAR_BUFFER,
&g_RSCMW_ATTR_CONTINUE_BUFFER,
&g_RSCMW_ATTR_DELETE_BUFFER,
&g_RSCMW_ATTR_START_BUFFER,
&g_RSCMW_ATTR_STOP_BUFFER,
&g_RSCMW_ATTR_SET_SYSTEM_TIMESTAMP,
&g_RSCMW_ATTR_GET_SYSTEM_TIMESTAMP,
&g_RSCMW_ATTR_SET_ABSOLUTE_TIMER,
&g_RSCMW_ATTR_SET_RELATIVE_TIMER,
&g_RSCMW_ATTR_SUBNET_NODE_NAME,
&g_RSCMW_ATTR_SUBNET_NODE_TYPE,
&g_RSCMW_ATTR_NETWORK_ADAPTER,
&g_RSCMW_ATTR_SUBNET_MONITOR_NAME,
&g_RSCMW_ATTR_SUBNET_MONITOR_TYPE,
&g_RSCMW_ATTR_SUBNET_MONITOR_ID,
&g_RSCMW_ATTR_SUBNET_MONITOR_DESCRIPTION,
&g_RSCMW_ATTR_SUBNET_MONITOR_REFRESH,
&g_RSCMW_ATTR_REMOTE_TRACE_ENABLED,
&g_RSCMW_ATTR_REMOTE_TRACE_FORMAT,
&g_RSCMW_ATTR_REMOTE_TRACE_START_MODE,
&g_RSCMW_ATTR_REMOTE_TRACE_STOP_MODE,
&g_RSCMW_ATTR_REMOTE_TRACE_FILE_PATH,
&g_RSCMW_ATTR_REMOTE_TRACE_FILE_SIZE,
&g_RSCMW_ATTR_CONFIGURE_REPORT_DISPLAY,
&g_RSCMW_ATTR_CLEAR_REMOTE_TRACE_DISPLAY,
&g_RSCMW_ATTR_GET_RESOURCE_STRING,
&g_RSCMW_ATTR_CONFIGURE_LOCK_CTRLS,
&g_RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE,
&g_RSCMW_ATTR_SET_BASE_TRIGGER_SOURCE_DIRECTION,
&g_RSCMW_ATTR_SET_BASE_TRIGGER_SLOPE,
&g_RSCMW_ATTR_BASE_TRIGGER_SOURCE_CATALOG,
&g_RSCMW_ATTR_INITIATE_USER_TRIGGER,
&g_RSCMW_ATTR_SYSTEM_OPTION_LIST,
&g_RSCMW_ATTR_COMMON_RELIABILITY,
&g_RSCMW_ATTR_ALL_GENERATORS_OFF,
&g_RSCMW_ATTR_ALL_MEASUREMENTS_OFF,
&g_RSCMW_ATTR_ALL_SIGNALING_APPLICATIONS_OFF,
&g_RSCMW_ATTR_FAN_CONTROL,
&g_RSCMW_ATTR_MULTIPLE_WINDOW_MODE_ENABLED,
&g_RSCMW_ATTR_FD_LIST_OF_TABLE_NAMES,
&g_RSCMW_ATTR_DELETE_ATTENUATION_CORRECTION_TABLE,
&g_RSCMW_ATTR_DELETE_ALL_ATTENUATION_CORRECTION_TABLE,
&g_RSCMW_ATTR_SAVE_ATTENUATION_CORRECTION_TABLE,
&g_RSCMW_ATTR_LOAD_ATTENUATION_CORRECTION_TABLE,
&g_RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR,
&g_RSCMW_ATTR_DEACTIVATE_CORRECTION_TABLE_FOR_CONNECTOR_CMWS,
&g_RSCMW_ATTR_ATTENUATION_CORRECTION_TABLE_COUNT,
&g_RSCMW_ATTR_SYSTEM_VERSION,
&g_RSCMW_ATTR_SYSTEM_ERROR,
&g_RSCMW_ATTR_SYSTEM_ALL_ERRORS,
&g_RSCMW_ATTR_SYST_ERR_CODE,
&g_RSCMW_ATTR_SYSTEM_ALL_ERRORS_CODE,
&g_RSCMW_ATTR_SYSTEM_PRESET,
&g_RSCMW_ATTR_SYSTEM_PRESET_APPLICATION,
&g_RSCMW_ATTR_SYSTEM_RESET_APPLICATION,
&g_RSCMW_ATTR_SYSTEM_RESET_ALL,
&g_RSCMW_ATTR_SYSTEM_RESET_BASE,
&g_RSCMW_ATTR_RCL,
&g_RSCMW_ATTR_SAV,
&g_RSCMW_ATTR_FILE_MANAGER_EDIT_PATH,
&g_RSCMW_ATTR_FILE_MANAGER_DELETE,
&g_RSCMW_ATTR_FILE_MANAGER_MAKE_DIRECTORY,
&g_RSCMW_ATTR_FILE_MANAGER_DELETE_DIRECTORY,
&g_RSCMW_ATTR_FILE_MANAGER_GET_INSTRUMENT_DRIVES,
&g_RSCMW_ATTR_FILE_MANAGER_CHANGE_DRIVE,
&g_RSCMW_ATTR_FILE_MANAGER_ALIASES,
&g_RSCMW_ATTR_FILE_CAPTURE_INTERIOR_WINDOW,
&g_RSCMW_ATTR_FILE_CAPTURE_ENTIRE_WINDOW,
&g_RSCMW_ATTR_HARDCOPY_FILE_FORMAT,
&g_RSCMW_ATTR_HARDCOPY_FILE_AREA,
&g_RSCMW_ATTR_ID_QUERY_RESPONSE,

NULL
};
